ITPub博客

首页 > Linux操作系统 > Linux操作系统 > win4lin在Gentoo Linux 2.6内核下的安装(转)

win4lin在Gentoo Linux 2.6内核下的安装(转)

原创 Linux操作系统 作者:ilg 时间:2019-02-18 16:06:06 0 删除 编辑
win4lin在Gentoo Linux 2.6内核下的安装(转)

  内容简介: win4lin在2.6系列内核中的配置和安装。

  1. 从Portage中安装win4lin

  


  如果你的内核选用win4lin-sources-2.6.7-r5,这个内核相对gentoo-dev-sources-2.6.7-r14要简陋一些,安装win4lin则可直接使用。

代码 1.1: win4lin-sources-2.6.7-r5下的安装

# ACCEPT_KEYWORDS="~x86" emerge win4lin

注释: 这个我们不推荐使用。

  2. 手动安装win4lin

  


  相对来说,内核gentoo-dev-sources-2.6.7-r14则比较常用些,打的补丁也比较多,功能比较丰富。但是portage中并不可以直接在这个基础上安装win4lin,我们可以手动安装。

  首先从这儿下载内核补丁:mki-adapter26_1_3_6.patch和Kernel-Win4Lin3-2.6.7.patch

  然后准备编译内核,先把内核源码备份一下,如下:

代码 2.1: 备份内核源码

# cd /usr/src

# cp -a linux-2.6.7-gentoo-r14 win4lin

# rm linux

# ln -s win4lin linux

# cd linux

# nano -w Makefile

注释:修改"EXTRAVERSION = ",比如改成"-win4lin-r14"之类以便识别

  

  把下载的mki-adapter26_1_3_6.patch和Kernel-Win4Lin3-2.6.7.patch拷到目录下,然后给内核打补丁,代码:

代码 2.2: 给内核打补丁

# patch -p1 < Kernel-Win4Lin3-2.6.7.patch > patch.log 2>&1

# patch -p1 < mki-adapter26_1_3_6.patch >> patch.log 2>&1

# less patch.log

  如果patch.log里没错误,就可以开始编译kernel了。注意以下这些要编进kernel:

  • Enable loadable module support
  • System V IPC
  • Kernel support for ELF binaries
  • Networking support
  • TCP/IP networking
  • ISO 9660 CD-ROM filesystem support
  • Include NeTraverse Win4Lin Support

  编译的同时可以安装好win4lin:

代码 2.3: 安装win4lin

# ACCEPT_KEYWORDS="~x86" emerge -O win4lin

  上述都完成后,重启准备配置和安装windows。

  3. 配置win4lin

  


  如果你想确认win4lin是否已经正确的编入内核中,你可以:

代码 3.1: 确认win4lin是否编入内核

# modprobe mki-adapter

# cat /proc/mki-adapter/version

注释: 按照本文的安装方法,应该显示为1.3.6。如果在使用modprobe或cat发生错误,你新编译的内核可能未正确的编译好或启动。

  确认win4lin已经编入内核后,开始进行初始设定,并启动服务:

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/14102/viewspace-116541/,如需转载,请注明出处,否则将追究法律责任。

下一篇: Nano 基础指南(转)
请登录后发表评论 登录
全部评论

注册时间:2002-06-18

  • 博文量
    1715
  • 访问量
    1300141